package org.xbib.io.webdav.client.methods;

import java.net.http.HttpResponse;

/**
 * Represents an HTTP CHECKOUT request.
 *
 * @see <a href="http://webdav.org/specs/rfc3253.html#rfc.section.4.3">RFC 3253, Section 4.3</a>
 */
public class Checkout extends AbstractMethod {

    @Override
    public String method() {
        return "CHECKOUT";
    }

    @Override
    public boolean succeeded(HttpResponse<?> response) {
        return response.statusCode() == 200;
    }
}
